Bug 200843 - rss-glx: world writable docs
rss-glx: world writable docs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rss-glx (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 17:27 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 08:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-07-31 17:27:42 EDT
3 files in rss-glx's docs (FE5 and devel) are world writable.  See bug
200794 for background and more info.
Comment 1 Nils Philippsen 2006-08-01 08:08:07 EDT
rss-glx-0.8.1.p-5 is building for FC5 and Rawhide. The culprit was just copying
over source files instead of using install so they files inherited my local
(002) umask.
Comment 2 Ville Skyttä 2006-08-01 12:30:41 EDT
Actually your local umask should not affect anything in the buildsys, but this
is most likely an issue with the buildsys having 000 umask when it checks out
stuff to build from CVS.
Comment 3 Nils Philippsen 2006-08-02 10:48:44 EDT
Well, the files were created and checked in with my local umask, CVS tends to
retain these permissions, so they propagated into the build system.
Comment 4 Ville Skyttä 2006-08-02 12:09:14 EDT
CVS remembers only whether the file had executable bits on at initial check in
time and retains that status, everything else is forgotten, and decided by the
checkouter's umask at checkout time.  Besides, your local umask was 002, not 000 ;)

$ umask
0022
$ rm README.fedora ; cvs -Q up README.fedora
$ ls -l README.fedora | cut -d' ' -f 1
-rw-r--r--
$ umask 000
$ umask
0000
$ rm README.fedora ; cvs -Q up README.fedora
$ ls -l README.fedora | cut -d' ' -f 1
-rw-rw-rw-
Comment 5 Nils Philippsen 2006-08-03 07:46:55 EDT
Agreed.

Note You need to log in before you can comment on or make changes to this bug.